Eclipse Platform Release 3.7

## org.eclipse.core.commands
Class HandlerEvent

    java.lang.Object
      org.eclipse.core.commands.common.AbstractBitSetEvent
          org.eclipse.core.commands.HandlerEvent

    public final class HandlerEvent

extends AbstractBitSetEvent

An instance of this class describes changes to an instance of `IHandler`.

This class is not intended to be extended by clients.

Since:
  3.1
See Also:
  `IHandlerListener.handlerChanged(HandlerEvent)`

Field Summary

Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent
`changedValues`

Constructor Summary
`HandlerEvent(IHandler handler, boolean enabledChanged, boolean handledChanged)` Creates a new instance of this class.

Method Summary
`IHandler` `getHandler()` Returns the instance of the interface that changed.
`boolean` `isEnabledChanged()` Returns whether or not the enabled property changed.
`boolean` `isHandledChanged()` Returns whether or not the handled property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerEvent

    public HandlerEvent(IHandler handler,
                        boolean enabledChanged,
                        boolean handledChanged)

  Creates a new instance of this class.

  Parameters:
    `handler` - the instance of the interface that changed; must not be `null`.
    `enabledChanged` - Whether the enabled state of the handler has changed.
    `handledChanged` - Whether the handled state of the handler has changed.

Method Detail

### getHandler

    public IHandler getHandler()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### isEnabledChanged

    public boolean isEnabledChanged()

  Returns whether or not the enabled property changed.

  Returns:
    `true`, iff the enabled property changed.

### isHandledChanged

    public boolean isHandledChanged()

  Returns whether or not the handled property changed.

  Returns:
    `true`, iff the handled property changed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.